djview4 (4.10.5-1) unstable; urgency=medium

  [ Leon Bottou ]
  * workaround qt55 xembed bug (closes: #804888)

  [ Barak A. Pearlmutter ]
  * new upstream release, which works around qt5 bug

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 09 Jan 2016 17:37:16 +0000

djview4 (4.10.4-1) unstable; urgency=medium

  [ Leon Bottou ]
  * new upstream release

  [ Barak A. Pearlmutter ]
  * add Leon to debian/control uploaders
  * target to unstable
  * remove debian/*.menu, per policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 25 Nov 2015 10:20:23 +0000

djview4 (4.10.3-1) unstable; urgency=medium

  * new upstream release, mainly UI tweaks like pinching

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Jun 2015 16:15:07 +0100

djview4 (4.10-3) unstable; urgency=medium

  * gzip --no-name option for build reproducibility (closes: #778432)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 15 Feb 2015 14:11:45 +0000

djview4 (4.10-2) unstable; urgency=medium

  * build dependency for lrelease executable

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Feb 2015 09:00:51 +0000

djview4 (4.10-1) unstable; urgency=medium

  * bump debian standards version
  * new upstream release
    - Bug fixes: layout, usability, preferences, locale selection
    - Works with both Qt4 and Qt5
    - Build uses automake/qmake hybrid (instead of autoconf/qmake).
    - Layout annotations are honored in multipage mode
    - Experimental OpenGL rendering
    - Slideshow mode
  * switch to qt5

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Feb 2015 22:52:34 +0000

djview4 (4.9-6) unstable; urgency=medium

  * accept patches to upstream from ubuntu/4.9-4ubuntu3
    - debian/patches/aarch64_cpu_definitions.patch
    - debian/patches/ppc64el.diff
  * dh --with autotools_dev, to update config/config.{sub,guess},
    for ports needing custom versions (closes: #744565)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Apr 2014 10:09:33 +0100

djview4 (4.9-5) unstable; urgency=low

  * bump policy version (no changes needed)
  * remove build alts libtiff{5,4,3}-dev (closes: #735996)
  * track upstream development branch (closes: #714225)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2014 15:14:43 +0000

djview4 (4.9-4) unstable; urgency=low

  * bump policy version (no changes needed)
  * clean some icons generated during build (closes: #679921)
  * update debian packaging repo urls to current naming scheme
  * the upstream changelog is called NEWS

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Sep 2013 12:17:34 +0100

djview4 (4.9-3) unstable; urgency=low

  * merge upstream fixes
  * add qt-opengl build dependency
  * allow libtiff5 to satisfy build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Nov 2012 12:08:53 +0000

djview4 (4.9-2) unstable; urgency=low

  * fix plugin bug, see
    https://bugs.launchpad.net/ubuntu/+source/djvulibre/+bug/940853

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 Jun 2012 00:20:11 +0100

djview4 (4.9-1) unstable; urgency=low

  [ Leon Bottou ]
  * new upstream version

  [ Barak A. Pearlmutter ]
  * switch deprecated rsvg to plug-compatible rsvg-convert (closes: #666474)
  * bump to dh 9
  * bump debian policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Apr 2012 09:25:22 +0100

djview4 (4.8-3) unstable; urgency=low

  * upstream change giving user ability to allow print/save in plugin

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 26 Nov 2011 23:11:19 +0000

djview4 (4.8-2) unstable; urgency=low

  * single debian patch source option (closes: #643093)
  * ensure rsvg in build dependencies
  * silence lintian regarding duplicate sections
  * silence lintian regarding unneeded encoding in desktop file

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Oct 2011 20:28:47 +0100

djview4 (4.8-1) unstable; urgency=low

  * new upstream release
  * tweak plugin installation location
  * silence some lintian issues:
    - bump debian standards version
    - add build-arch build-indep as debian/rules targets
    - convert djvulibre-djview4.xpm from PNG to XPM
    - switch empty binary package djvulibre-plugin to arch independent
    - generate and install not PNG but XPM icon files
  * work around rejection-inducing lintian bug

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 Jul 2011 14:05:56 +0100

djview4 (4.7-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Mar 2011 17:21:01 +0000

djview4 (4.6-3) unstable; urgency=low

  * changes to debian/control
    - fiddle with sections
    - have djview-plugin conflict with old versions of djvulibre-plugin
      which contain the same plugin library (closes: #613352, #613374)
  * arch patch for Renesas SH from Nobuhiro Iwamatsu (closes: #613310)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Feb 2011 17:24:16 +0000

djview4 (4.6-2) unstable; urgency=low

  * move some debian maintenance to git (debian/README.Debian)
    - point to debian collab-maint repo (debian/control)
    - upstream has moved to git (debian/copyright, rm debian/README.Debian)
  * use dh autotools-dev stuff to update config.* files
  * enable nsdjvu plugin
    - generate package djview-plugin
    - generate transition package djvulibre-plugin
  * bump to debhelper 8
  * dh --parallel

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Dec 2010 13:45:14 +0000

djview4 (4.6-1) unstable; urgency=low

  * New upstream release
  * switch to dpkg-source 3.0 (quilt) format
  * really automatically clean generated bitmaps in debian/ (debian/clean)
  * bump policy (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Aug 2010 22:17:28 +0200

djview4 (4.5-6) unstable; urgency=low

  * source depend (debian/control) on librsvg2-bin binary used by new
    imagemagick, and work around failure of direct conversion by convert via
    step-by-step manual convertion in debian/rules (closes: #574297)
  * automatically clean generated bitmaps in debian/ (debian/clean)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Mar 2010 14:51:54 +0000

djview4 (4.5-5) unstable; urgency=low

  * rev deb std
  * work around autobuilder inability to install B when build-dep: A | B

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 Jan 2010 20:34:54 +0100

djview4 (4.5-4) unstable; urgency=low

  * Build dependency on libwmf-bin for wmf2eps (closes: #556813)
    or libmagickcore2-extra to allow convert to do the job
  
 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Nov 2009 21:09:05 +0000

djview4 (4.5-3) unstable; urgency=low

  * missing dh debian/control misc:depends

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Sep 2009 15:40:28 -0400

djview4 (4.5-2) unstable; urgency=low

  * rev deb std
  * fancier shorter debian/rules
  * lintian issues (stop ignoring errors in installation scripts)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Sep 2009 10:53:40 -0400

djview4 (4.5-1) unstable; urgency=low

  * Upstream release 4.5
  * Man page typos (closes: #526091) thanks to "A. Costa" <agcosta@gis.net>
  * Ack upstream fix, open dialog allows un-narrowed list (closes: #504281)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 Apr 2009 09:36:07 +0100

djview4 (4.4-1) unstable; urgency=low

  * Upstream release 4.4
  * Fully dh7-ianize
  * Upstream builds PNG from SVG using /usr/bin/convert, requiring build
    dependency upon imagemagick
  * Integrate new upstream icons

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Sep 2008 08:37:16 +0100

djview4 (4.3-6) unstable; urgency=low

  * Gentler dependencies, update x-dev dependency
  * Upstream mods for man and GCC 4.x warnings
  * Include more upstream translated text
  * Minor lintian issues (debian/rules clean; deb scripts w/ command path)
  * Fix user interaction language selection issue harder (closes: #460714)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Aug 2008 13:10:25 +0100

djview4 (4.3-5) unstable; urgency=low

  * Upstream fix for disappearing search box (closes: #484522)
  * Unable to manifrest save-as giving zero-length file (closes: #468389)
  * Upstream fix for user interaction language selection (closes: #460714)
  * Provide virtual package djvu-viewer (see: #491012)
  * Minor updates to debian packaging info, rev to debhelper 7

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Aug 2008 11:34:53 +0100

djview4 (4.3-4) unstable; urgency=low

  * Add build dependency on pkg-config (closes: #477029)
  * Fix update-alternatives in installation scripts (closes: #476434)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 23 Apr 2008 07:45:17 +0100

djview4 (4.3-3) unstable; urgency=low

  * Conflict with old djview containing /usr/bin/djview (closes: #473341)
  * Raise version number of qt4 needed for build (closes: #475021)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Apr 2008 23:53:08 -0700

djview4 (4.3-2) unstable; urgency=low

  * Upstream __sync_... build error fixes in libdjvu/atomic.cpp for sparc,
    mips, arm, hppa, mipsel, armel.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Mar 2008 18:58:53 +0000

djview4 (4.3-1) unstable; urgency=low

  * Upstream release
  * New german and czech translation
  * Remove xlibs-dev build dependency (closes #460254)
  * Menu section changed from Apps to Applications
  * avoid empty /usr/sbin/

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jan 2008 11:36:31 +0000

djview4 (4.2-1) unstable; urgency=low

  * New feature "Undo/Redo".
  * New entry "Open Location" in "File" menu.
  * Add vcs-cvs and homepage fields to debian/control
  * Include (treating as Debian patch) mods in upstream release 4.2-1,
    which includes fix for bug number 452947 which occurs here as well as
    in djvulibre against which it was first reported.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Nov 2007 18:02:38 +0000

djview4 (4.1-2) unstable; urgency=low

  * Compatibility fixes for Qt-4.2.
  * New entry "Open recent" in "File" menu.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 31 Jul 2007 23:26:46 +0500

djview4 (4.1-1) unstable; urgency=low

  * Bug fixes for Qt-4.2 and Qt-4.3.
  * PDF and TIFF Export.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 7 Jul 2007 12:00:46 +0500

djview4 (4.0-1) unstable; urgency=low

  * Initial release.
  * Binary dependency on libdjvulibre should be deb-o-matic!
  * License clarification of mozilla plugin code.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Apr 2007 17:50:46 +0300
